## Class Auth_OpenID_AX_StoreResponse

Description

An indication that the store request was processed along with this OpenID transaction. Use make(), NOT the constructor, to create response objects.

Located in /Auth/OpenID/AX.php (line 975)

    Auth_OpenID_Extension
       |
       --Auth_OpenID_AX_Message
          |
          --Auth_OpenID_AX_StoreResponse

Variable Summary
mixed $FAILURE_MODE
mixed $SUCCESS_MODE
Method Summary
Auth_OpenID_AX_StoreResponse Auth_OpenID_AX_StoreResponse ([ $succeeded = true], [ $error_message = null])
void getExtensionArgs ()
void &make ([ $succeeded = true], [ $error_message = null])
void succeeded ()
Variables
mixed $FAILURE_MODE = 'store_response_failure' (line 977)
mixed $SUCCESS_MODE = 'store_response_success' (line 976)

#### Inherited Variables

Inherited from Auth_OpenID_AX_Message

> Auth_OpenID_AX_Message::$mode
> Auth_OpenID_AX_Message::$ns_alias
> Auth_OpenID_AX_Message::$ns_uri

Methods
Constructor Auth_OpenID_AX_StoreResponse (line 993)
Auth_OpenID_AX_StoreResponse Auth_OpenID_AX_StoreResponse ([ $succeeded = true], [ $error_message = null])

- $succeeded
- $error_message

getExtensionArgs (line 1012)
void getExtensionArgs ()

Redefinition of:

Auth_OpenID_Extension::getExtensionArgs()
  Get the string arguments that should be added to an OpenID message for this extension.

make (line 983)

Returns Auth_OpenID_AX_Error on error or an Auth_OpenID_AX_StoreResponse object on success.

void &make ([ $succeeded = true], [ $error_message = null])

- $succeeded
- $error_message

succeeded (line 1007)

Was this response a success response?

void succeeded ()

#### Inherited Methods

Inherited From Auth_OpenID_Extension

> Auth_OpenID_Extension::getExtensionArgs()
> Auth_OpenID_Extension::toMessage()

Documentation generated on Tue, 21 Apr 2009 11:31:30 -0700 by phpDocumentor 1.3.2